Subject: Re: Royalty-Free Patent Policy (W3C)

From: Gerry Gleason <[email-masked]>
Date: Sat, 22 Mar 2003 22:44:29 -0600

George Dafermos wrote:

>>One thing to consider is whether the Organis design ideas can be
>>patented as unique business processes and
>>organizational structures.  Obviously this has to be handled very
>>
>>carefully to avoid major strategic mistakes, but
>>it could be the way to initiate the strategic moves as discussed above.
>>
>
>Its an idea that has been in the background..... of my mind ...
> patenting business processes and organizational structures is pushing
>the domain of patents and supports it..... on the other hand is may
>allow investment in the idea. and by investment I mean not just VC, but
>more important code and other investments of  seting up NPO's and daily
>operations.
>
>
>In my opinion, patenting the very organic structures and processes that make Organis what it is will be a strategic mistake which we may not be able to undo later on. Not only will it stiffle creativity in the area but it may also breed bitterness among enthusiasts. To a certain extent, I'm sure that 'embracing patents' in the the same way that GPL embraces copyright is a smart move, however, such a strategy may have unintended consequences as we can all imagine. 
>
>I've started writing an email regarding the Osaka proposal and I hope I'm not too late to provide some feedback.
>
>George
>
I think you are right about the nature of the risk.  In fact, when I 
suggested it, I had a vague thought about how this could be used to 
establish a clear and unbreakable connection to the GGPL licenses.  On 
second thought, I'm sure I wouldn't be happy if the FSF had established 
a unique legal position for themselves with respect to the GPL, so I am 
inclined to agree with your assessment of this concept.  At some level, 
there could be a need to defensively patent a lot of stuff including 
this, but I guess it would surprise me if anyone else wanted to patent 
something like Organis.  The fact that it has been written about should 
establish it as prior art, but at least the USPTO doesn't seem to be 
capable of rejecting a patent even when the prior art is obvious to anyone.

That's really the motivation for 'embracing patents', because patents 
often seem to be the only recognized prior art, making them necessary if 
only defensively.  It is also worth noting that the GGPL terms wouldn't 
restrict a patent holder from licensing the patent under other terms 
while also making it available for GGPL project inclusion under no-cost 
terms.  This has been discussed as a valid model for GPL release as 
well.  In this context, the restrictions of GPL and GGPL can be seen as 
an advantage because the IP owner isn't giving away an essentially 
unrestricted license, and thus the IP can retain a sale value to people 
who want to create a derivative work under other licensing terms 
including fully commercial terms.

This is more what I was referring to as having a connection with the 
normal patent process.  I don't think RMS really anticipated that a 
large body of GPLed code would develop with a large number of 
independent authors retaining primary rights to their work while sharing 
under GPL terms.  The fact is that the universe of GPLed code is far 
larger than what a single organization (FSF) could produce, and the GPL 
(and Free/Open Source generally) is far stronger for it.

Gerry